## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

# We use vendored deps, as aerc has a lot of dependencies and is picky about
# them. Upstream does a good job at keeping them updated. aerc is prone to
# crashes with Fedora's dependency versions, many of which are out of date.

# https://git.sr.ht/~rjarry/aerc
%global goipath         git.sr.ht/~rjarry/aerc
%global version0        0.18.2

%gometa -L

%global common_description %{expand:
Aerc is an email client that runs in your terminal. It is highly
efficient and extensible, perfect for the discerning hacker.}

Name:           aerc
Version:        %{forgeversion}
Release:        %autorelease
Summary:        Email client for your terminal

SourceLicense:  MIT
# Generated by go-vendor-tools
License:        MIT AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  desktop-file-utils
# wrap and colorize filters are written in C
BuildRequires:  gcc
BuildRequires:  glibc-all-langpacks
BuildRequires:  go-vendor-tools
BuildRequires:  gnupg
BuildRequires:  notmuch-devel
BuildRequires:  scdoc

Requires:       notmuch

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}


%build
%set_build_flags
# GO_BUILDTAGS: Enable notmuch explicitly instead of relying on auto-detection
#               in build script.
# GO_LDFLAGS: Set to an empty string so the C LDFLAGS set by %%set_build_flags
#             aren't read instead.
GO_BUILDTAGS=notmuch GO_LDFLAGS=""

# BUILD_OPTS: Set `go build` flags
# DATE: Set DATE based on SOURCE_DATE_EPOCH. The Makefile sets it based on the
#       current time.
# GOFLAGS: Set to an empty string. We want to clear the definition from the Makefile.
# GO_EXTRA_LDFLAGS: Set `go build -ldflags` argument
# Other values should be self-explanatory
%make_build \
  BUILD_OPTS=%{gobuild_baseflags_shescaped} \
  DATE="$(date -d "@${SOURCE_DATE_EPOCH}" +%Y-%m-%d)" \
  GOFLAGS= \
  GO_EXTRA_LDFLAGS=%{gobuild_ldflags_shescaped} \
  PREFIX=%{_prefix} \
  VERSION=%{version} \

%install
export PREFIX=%{_prefix}
%make_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/aerc.desktop
%go_vendor_license_install -c %{S:2}

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
LANG=en_US.UTF-8 ./filters/test.sh
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc doc README.md CHANGELOG.md
%{_bindir}/aerc
%{_bindir}/carddav-query
%{_datadir}/aerc/
%{_datadir}/applications/aerc.desktop
%{_libexecdir}/aerc/
%{_mandir}/man1/aerc-*.1.*
%{_mandir}/man1/carddav-query.1*
%{_mandir}/man1/aerc.1*
%{_mandir}/man5/aerc-*.5.*
%{_mandir}/man7/aerc-*.7.*

%changelog
## START: Generated by rpmautospec
* Sun Aug 18 2024 Maxwell G <maxwell@gtmx.me> - 0.18.2-1
- Update to 0.18.2.

* Sun Aug 18 2024 Maxwell G <maxwell@gtmx.me> - 0.18.0-1
- Update to 0.18.0.
- Regenerate specfile with go2rpm and go-vendor-tools

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Mar 13 2024 Maxwell G <maxwell@gtmx.me> - 0.17.0-6
- Use upstream Makefile to build aerc

* Sat Feb 24 2024 Maxwell G <maxwell@gtmx.me> - 0.17.0-1
- Update to 0.17.0. Fixes rhbz#2241065.

* Sat Feb 24 2024 Maxwell G <maxwell@gtmx.me> - 0.16.0-8
- Build with vendored dependencies by default

* Sat Feb 24 2024 Maxwell G <maxwell@gtmx.me> - 0.16.0-1
- Update to 0.16.0. Fixes rhbz#2241065.

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.15.2-5
- Rebuild for golang 1.22.0

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 16 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.15.2-1
- Update to 0.15.2

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Maxwell G <gotmax@e.email> - 0.14.0-4
- Fix LDFLAGS to match upstream Makefile

* Wed Jan 11 2023 Maxwell G <gotmax@e.email> - 0.14.0-3
- Add patch to correct filter install location

* Wed Jan 11 2023 Maxwell G <gotmax@e.email> - 0.14.0-2
- Make %%files section consistent

* Wed Jan 11 2023 Maxwell G <gotmax@e.email> - 0.14.0-1
- Update to 0.14.0. Fixes rhbz#2158200.

* Wed Nov 02 2022 Maxwell G <gotmax@e.email> - 0.13.0-1
- Update to 0.13.0. Fixes rhbz#2136668.

* Mon Sep 26 2022 Maxwell G <gotmax@e.email> - 0.12.0-2
- Actually build the notmuch extension

* Mon Sep 26 2022 Maxwell G <gotmax@e.email> - 0.12.0-1
- Update to 0.12.0. Fixes rhbz#2106151.

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.10.0-5
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sun Jul 03 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-4
- Use auto buildrequires

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Tue May 10 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-1
- Update to 0.10.0 Close: rhbz#2056300

* Tue Jan 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-2
- Fix archive upload

* Tue Jan 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-1
- Update to 0.7.1 Close: rhbz#2040890

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 28 2021 Maxwell G <gotmax@e.email> - 0.6.0-2
- Remove unnecessary %%%%commit macro

* Mon Dec 20 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.0-1
- Update to 0.6.0 Close: rhbz#2031335

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 20:29:04 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.2-2.20210615git1687e55
- Initial package

## END: Generated by rpmautospec
